#include <iostream>
#include <cstdlib>
using namespace std;

class Niz {
  int niz[10] = {1, 2, 3, 4, 5};
  int kap = 10, n = 5;
public:
  const int* begin() const { return niz; }
        int* begin()       { return niz; }
  const int* end()   const { return niz + n; }
        int* end()         { return niz + n; }
};

int main() {
  Niz niz;                              // Promenljiva zbirka.
  for (auto x: niz) cout << x << ' ';   // Pie se: 1 2 3 4 5
  cout << endl;
  for (auto x: niz) x *= 2;             // Zbirka se ne menja.
  for (auto x: niz) cout << x << ' ';   // Pie se: 1 2 3 4 5
  cout << endl;
  for (auto& x: niz) x *= 2;            // Zbirka se menja.
  for (const auto& x: niz) cout << x << ' ';
  cout << endl;                         // Pie se: 2 4 6 8 10

  const Niz c_niz;                      // Nepromenljiva zbirka.
  for (auto x: c_niz) cout << x << ' '; // Pie se: 1 2 3 4 5
  cout << endl;
  for (auto& x: c_niz) x *= 2;          // GREKA: ne moe da se menja.
}
