// Definicija metode za izraunavanje odreenog integrala.

#include "fct.h"

double Funkcije::Fct::I(double a, double b) {
  try {                             // Pokuaj tanog raunanja.
    return I(b) - I(a);
  } catch(G_nema_integral) {        // Priblino raunanje.
    const int N = 1000;
    double dx=(b-a) / N;
    double y = 0;
    for (int i=0; i<N; y+=(*this)(a+dx*i++));
    return y * dx;
  }
}
