// Definicije metoda uz klasu Niz.

#include "niz3.h"
#include "niter.h"

void Niz::kopiraj(const Niz& n) {              // Kopiranje u niz.
  niz = new Figura* [kap = n.kap];
  duz = n.duz;
  for (int i=0; i<duz; i++) niz[i] = n.niz[i]->kopija();
}

Niz& Niz::operator+=(Figura* fig) {            // Dodavanje figure.
  if (duz == kap) {
     Figura** pom = new Figura* [kap += (kap<100) ? 10 : kap/10];
     for (int i=0; i<duz; i++) pom[i] = niz[i];
     delete [] niz;  niz = pom;
  }
  niz[duz++] = fig;
  return *this;
}

Niz& Niz::operator~() {                        // Pranjenje niza.
  for (int i=0; i<duz; delete niz[i++]);
  duz = 0;
  return *this;
}

Iter* Niz::iter() { return new N_iter(this); } // Stvaranje iteratora.
const Iter* Niz::iter() const { return new N_iter(this); }
